package hu.paalgyula.gravatar.taglibs;

import org.apache.log4j.Logger;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * Created with IntelliJ IDEA.
 * User: jethro.gibbs
 * Date: 2012.11.20.
 * Time: 14:49
 * To change this template use File | Settings | File Templates.
 */
public class MD5Tools {
    private static final Logger logger = Logger.getLogger( MD5Tools.class );

    public static String hex(byte[] array) {
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < array.length; ++i) {
            sb.append(Integer.toHexString((array[i] & 0xFF) | 0x100).substring(1,3));
        }
        return sb.toString();
    }

    public static String md5Hex (String message) {
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");
            return hex( md.digest( message.getBytes("CP1252") ) );
        } catch (NoSuchAlgorithmException e) {
            logger.fatal( e );
        } catch (UnsupportedEncodingException e) {
            logger.fatal( e );
        }
        return null;
    }
}
